
Infrastructure - Bug #1260

dev-dryad-mn generating 500 error when getting checksum on non-existent object

2011-01-25 19:28 - Dave Vieglais

Status: Closed Start date: 2011-01-25

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2011.05   

Milestone:  Story Points:  

Product Version: *   

Description

curl -H "Accept: text/xml" "http://dev-dryad-mn.dataone.org/mn/checksum/some%20bogus%20pid"

Is generating a http 500 error that is being returned as HTML.

Response should be a NotFound exception

History

#1 - 2011-01-27 22:52 - Dave Vieglais

- Category set to d1_mn_GMN

- Assignee set to Roger Dahl

#2 - 2011-01-31 21:45 - Roger Dahl

- Status changed from New to Closed

#3 - 2011-02-01 17:10 - Dave Vieglais

- Target version changed from Sprint-2011.04 to Sprint-2011.05

- Position set to 120
